DCJPEG(1)

NAME
dcjpeg - ACR/NEMA DICOM PS3 ... DICOM PS3 - Create JPEG DICOM file

SYNOPSIS

dcjpeg infile outfile transfersyntax jpegoptions

DESCRIPTION

dcjpeg reads the named dicom input file and copies the information and pixel data to a new dicom file, with the dataset compressed using the specified JPEG compression options and transfer syntax, and with a meta information header prepended.

OPTIONS
The verbose output goes to standard error.

There are no options other than thosed passed through to the Stanford PVRG jpeg codec.

ENVIRONMENT

EXAMPLES

# Create a lossless compressed image with predictor 1
% dcjpeg in.dcm out.dcm 1.2.840.10008.1.2.4.70 -k 1
# Create a lossy compressed 8 bit image with high quality
% dcjpeg in.dcm out.dcm 1.2.840.10008.1.2.4.50 -q 1
# Create a lossy compressed 12 bit image with high quality
% dcjpeg in.dcm out.dcm 1.2.840.10008.1.2.4.51 -ql 1
% ls -sk1 in.dcm out.dcm
 520 in.dcm
 184 out.dcm
# Create a lossy compressed 12 bit image with moderate quality
% dcjpeg in.dcm out.dcm 1.2.840.10008.1.2.4.51 -ql 200
% ls -sk1 in.dcm out.dcm
 520 in.dcm
  32 out.dcm

FILES

SEE ALSO
dcunjpeg(1)

AUTHOR
Copyright (C) 1993-2010. David A. Clunie DBA PixelMed Publishing. All rights reserved.

BUGS
Only single frame images are supported.